Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 613722 - Docs: manpage for /etc/crypttab needs updates
Docs: manpage for /etc/crypttab needs updates
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 13:03 EDT by David Tonhofer
Modified: 2014-03-16 23:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-28 15:50:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Tonhofer 2010-07-12 13:03:23 EDT
Description of problem:

Some details are missing in the manpage for /etc/crypttab:

The second field may the name of a resulting encrypted block device or may contain the expression UUID=<LUKS-UUID> where LUKS-UUID is the UUID of an existing LUKS device (the UUID of such a device can be read using 'cryptsetup luksUUID <device>') 

The third field may select the /dev/random or /dev/urandom generators, or the random hardware number generator, "/dev/hwrng" (previously /dev/hw_random??)

[/dev/hwrng is not checked for in /etc/rc.sysinit's key_is_random() either]
Comment 1 Bill Nottingham 2011-02-28 15:50:10 EST
Added a variation of this in: http://git.fedorahosted.org/git/?p=initscripts.git;a=commitdiff;h=8a4c7be4720b026e66c4e60078b3334fe1c4ab41

(noauto support comes in Fedora 15 with systemd.)

Note You need to log in before you can comment on or make changes to this bug.